Subject: RE: [SIP] received param

From: Igor Slepchin <[email-masked]>
Date: Fri, 29 Sep 2000 14:17:29 -0400

I think the proxy should not look at the received parameter when validating
the response or checking for loops in a request. 

What the proxy is looking for is the data it inserted itself (i.e., its own
host, port etc.) whereas the received parameter is added by the next hop.
I'd say that doing DNS lookups on addresses in Via is rather useless since
the proxy should always know what addresses it may insert in the Via in the
first place and then just doing a string match for one of those addresses is
sufficient.

---
Igor Slepchin

> -----Original Message-----
> From: Dvir Oren [mailto:[email-masked]]
> Sent: Thursday, September 28, 2000 2:10 PM
> To: SIP
> Subject: [SIP] received param
> 
> 
> I ran into a problem with my SIP implementation when a UAS returned a
> reply to a Proxy with a receiver-tagged Via.  The Proxy then 
> wanted to 
> check whether this reply is for itself, or to be proxied.  It first
> looked at the first Via to see if it's its own Via.  It found the
> receiver-tagged Via, and tried to compare it with what it knows about
> itself.
> 
> What I did at this point is compare the IP addresses.  Unfortunately,
> the DNS had only one of the IP addresses of the Proxy, while the UAS
> saw the request coming from a different IP.  So, the Via's did not
> match.
> 
> I did some hack which ignores the recieved tag.  I personally don't
> like it.
> 
> Any other solutions?
> 
> -- 
> Dvir Oren               <[email-masked]>
> Lucid VON Ltd.     <http://www.lucidvon.com>
> 9 Saloniki St.,        Tel-Aviv       Israel
> Tel:  +972 3 644 3038  Fax:  +972 3 644 3039
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip